<?php
namespace Claromentis\People\Event;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"] = (@$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"] ?: array()) + array("us" . "er" . "_i" . "d" => base64_decode("dXNlcl9pZA" . "=="), "_baec81a782bb3d538149a9225688" . "246e" => base64_decode("ZXZlbnR" . "fc291cm" . "Nl"), "_28c85ce81fee65329802628" . "93b6f2425" => base64_decode("dXNlcm5hbW" . "U="), "_8cca4dd" . "34e20c53" . "44bb2a30" . "f2533c4e" . "5" => base64_decode("ZnVsbF9uY" . "W1l"));
use Claromentis\Core\Event\GenericEvent;
use InvalidArgumentException;









class AddUserEvent extends GenericEvent
{
    
    
    
    
    
    
    private $error_message = '';
    
    
    
    
    
    
    
    
    public function GetUserId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["user_" . "id"]);
    }
    
    
    
    
    public function GetFullName()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_8cca4dd34e20c5" . "344bb2a30f2533c" . "4e5"]);
    }
    
    
    
    
    public function GetUsername()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_28c85ce81fee6532980262893b" . "6f2425"]);
    }
    
    
    
    
    
    
    
    
    public function GetEventSource()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_baec81a" . "782bb3d5" . "38149a92" . "25688246" . "e"]);
    }
    
    
    
    
    
    
    public function SetErrorMsg($error_message)
    {
        $this->error_message = $error_message;
    }
    
    
    
    
    
    
    public function GetErrorMsg()
    {
        return $this->error_message;
    }
}